Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228285 - weird error dialog on login
Summary: weird error dialog on login
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: gnome-mount
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: David Zeuthen
QA Contact:
URL:
Whiteboard: bzcl34nup
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-02-12 15:06 UTC by Ray Strode [halfline]
Modified: 2013-03-06 03:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2008-05-07 01:09:37 UTC


Attachments (Terms of Use)
The dialog I saw (deleted)
2007-02-12 15:06 UTC, Ray Strode [halfline]
no flags Details

Description Ray Strode [halfline] 2007-02-12 15:06:50 UTC
I logged in (or maybe I resumed from hibernate, not sure) this morning and was
confronted with an odd dialog.  I'm assuming it's because ConsoleKit wasn't
running.  We should probably make sure it's running by default and make
gnome-volume-manager cope better when it's not running.

Also the error log puts this cryptic error message with a dbus service name as
it's secondary text (and then puts a more user friendly message hidden behind a
"Details" expander).  We should move the message thats in details to always be
shown and either drop the other message (my preference) or put it behind the
Details expander.

Comment 1 Ray Strode [halfline] 2007-02-12 15:06:50 UTC
Created attachment 147896 [details]
The dialog I saw

Comment 2 Ray Strode [halfline] 2007-02-12 15:08:50 UTC
It could be that the screensaver was running from the hibernate and thats why
the session wasn't active, not sure.

Comment 3 David Zeuthen 2007-02-12 16:51:03 UTC
Are you positive that ConsoleKit wasn't running? I wonder how you ended up with
a system where that was the case?

Comment 4 Ray Strode [halfline] 2007-02-12 17:06:45 UTC
No, I'm not positive.  That was just a guess and it seems wrong in retrospect.

I guess the real problem is that the CD in my drive tried to get mounted while
my machine was coming out of hibernate.

I'm assuming while it's coming out of hibernate console kit thinks there is no
active session (because we're on the wrong vt, maybe?).

Comment 5 Ray Strode [halfline] 2007-02-13 14:54:24 UTC
It happened again this morning when coming out of hibernate.

Earlier today, I tried to hiberate from the panel menu and nothing happened.

so I tail -f /var/log/messages and it had:

Feb 13 08:59:11 halflap gnome-power-manager: (rstrode) Hibernating computer
because the DBUS method Hibernate() was invoked
Feb 13 08:59:11 halflap gnome-power-manager: (rstrode) Permission denied: Not in
active session code='30' quark='g-exec-error-quark'
Feb 13 08:59:11 halflap gnome-power-manager: (rstrode) Resuming computer
Feb 13 08:59:11 halflap gnome-power-manager: (rstrode) hibernate failed

so then I strace -p $(/sbin/pidof of console-kit-daemon) and it just had:
Process 31206 attached - interrupt to quit
poll( <unfinished ...>
This didn't change when I tried to hibernate again from the menu

Then in another terminal i ran pm-hibernate and it hibernated.  I got into work,
plugged the laptop into the dock and resumed.  It resumed fine, but the dialog
in attachment 147896 [details] popped up, and the window with the strace output filled up
a bit:
Process 31206 attached - interrupt to quit
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}], 2, -1) = 1
read(3, "l\4\1\1\37\0\0\0\n\0\0\0\211\0\0\0\1\1o\0\25\0\0\0/org"..., 2048) = 191
read(3, 0x8ceedd8, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 0) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}], 2, -1) = 1
read(3, "l\4\1\1\35\0\0\0\v\0\0\0\211\0\0\0\1\1o\0\25\0\0\0/org"..., 2048) = 189
read(3, 0x8ceedd8, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 0) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, -1) = -1 EINTR
(Interrupted system call)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}], 2, -1) = 1
read(3, "l\4\1\1\37\0\0\0\f\0\0\0\211\0\0\0\1\1o\0\25\0\0\0/org"..., 2048) = 191
read(3, 0x8ceedd8, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 0) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}], 2, -1) = 1
read(3, "l\4\1\1\35\0\0\0\r\0\0\0\211\0\0\0\1\1o\0\25\0\0\0/org"..., 2048) = 189
read(3, 0x8ceedd8, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 0) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}], 2, -1) = 1
read(3, "l\4\1\1\37\0\0\0\16\0\0\0\211\0\0\0\1\1o\0\25\0\0\0/or"..., 2048) = 191
read(3, 0x8ceedd8, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 0) = 0
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}], 2, -1) = 1
read(3, "l\1\0\1\4\0\0\0\224X\0\0\305\0\0\0\1\1o\0#\0\0\0/org/f"..., 2048) = 220
read(3, 0x8ceedd8, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 0) = 0
gettimeofday({1171378061, 133838}, NULL) = 0
writev(3, [{"l\1\0\1\t\0\0\0\7\0\0\0\207\0\0\0\1\1o\0\25\0\0\0/org/"..., 152},
{"\4\0\0\0:1.2\0", 9}], 2) = 161
gettimeofday({1171378061, 134509}, NULL) = 0
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 25000) = 1
read(3, "l\2\1\1\4\0\0\0\17\0\0\0=\0\0\0\6\1s\0\6\0\0\0:1.138\0"..., 2048) = 84
read(3, 0x8ceedd8, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
gettimeofday({1171378061, 134948}, NULL) = 0
writev(3, [{"l\1\0\1\t\0\0\0\10\0\0\0\217\0\0\0\1\1o\0\25\0\0\0/org"..., 160},
{"\4\0\0\0:1.2\0", 9}], 2) = 169
gettimeofday({1171378061, 135355}, NULL) = 0
poll([{fd=3, events=POLLIN, revents=POLLIN}], 1, 25000) = 1
read(3, "l\2\1\1\4\0\0\0\20\0\0\0=\0\0\0\6\1s\0\6\0\0\0:1.138\0"..., 2048) = 84
read(3, 0x8ceedd8, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
open("/proc/2239/stat", O_RDONLY|O_LARGEFILE) = 7
fstat64(7, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
fcntl64(7, F_GETFL)                     = 0x8000 (flags O_RDONLY|O_LARGEFILE)
fstat64(7, {st_mode=S_IFREG|0444, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7e6e000
_llseek(7, 0, [0], SEEK_CUR)            = 0
read(7, "2239 (hald) S 1 2239 2239 0 -1 4"..., 4096) = 196
read(7, "", 3072)                       = 0
close(7)                                = 0
munmap(0xb7e6e000, 4096)                = 0
open("/proc/31484/environ", O_RDONLY|O_LARGEFILE) = 7
fstat64(7, {st_mode=S_IFREG|0400, st_size=0, ...}) = 0
fcntl64(7, F_GETFL)                     = 0x8000 (flags O_RDONLY|O_LARGEFILE)
fstat64(7, {st_mode=S_IFREG|0400, st_size=0, ...}) = 0
mmap2(NULL, 4096, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7e6e000
_llseek(7, 0, [0], SEEK_CUR)            = 0
read(7, "SSH_AGENT_PID=7729\0HOSTNAME=half"..., 4096) = 1127
read(7, "", 2048)                       = 0
close(7)                                = 0
munmap(0xb7e6e000, 4096)                = 0
writev(3, [{"l\3\1\1=\0\0\0\t\0\0\0g\0\0\0\6\1s\0\4\0\0\0:1.2\0\0\0"..., 120},
{"8\0\0\0Unable to lookup session inf"..., 61}], 2) = 181
poll([{fd=4, events=POLLIN, revents=POLLIN}, {fd=3, events=POLLIN}], 2, -1) = 1
read(4, "A", 1)                         = 1
mmap2(NULL, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7e5d000
mprotect(0xb7e5d000, 4096, PROT_NONE)   = 0
clone(child_stack=0xb7e604b4,
flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID,
parent_tidptr=0xb7e60bd8, {entry_number:6, base_addr:0xb7e60b90, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0,
useable:1}, child_tidptr=0xb7e60bd8) = 31521
futex(0x2d47f8, FUTEX_WAKE, 1)          = 1
poll([{fd=4, events=POLLIN, revents=POLLIN}, {fd=3, events=POLLIN}], 2, -1) = 1
futex(0x8cef7bc, FUTEX_WAIT, 2, NULL)   = 0
read(4, "A", 1)                         = 1
futex(0x8cef7bc, FUTEX_WAKE, 1)         = 0
mmap2(NULL, 16384, PROT_READ|PROT_WRITE, MAP_PRIVATE|MAP_ANONYMOUS, -1, 0) =
0xb7e59000
mprotect(0xb7e59000, 4096, PROT_NONE)   = 0
clone(child_stack=0xb7e5c4b4,
flags=CLONE_VM|CLONE_FS|CLONE_FILES|CLONE_SIGHAND|CLONE_THREAD|CLONE_SYSVSEM|CLONE_SETTLS|CLONE_PARENT_SETTID|CLONE_CHILD_CLEARTID,
parent_tidptr=0xb7e5cbd8, {entry_number:6, base_addr:0xb7e5cb90, limit:1048575,
seg_32bit:1, contents:0, read_exec_only:0, limit_in_pages:1, seg_not_present:0,
useable:1}, child_tidptr=0xb7e5cbd8) = 31526
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN, revents=POLLIN}], 2, -1) = 1
read(3, "l\4\1\1\35\0\0\0\21\0\0\0\211\0\0\0\1\1o\0\25\0\0\0/or"..., 2048) = 189
read(3, 0x8ceedd8, 2048)                = -1 EAGAIN (Resource temporarily
unavailable)
poll([{fd=4, events=POLLIN}, {fd=3, events=POLLIN}], 2, 0) = 0
poll( <unfinished ...>
Process 31206 detached




Comment 6 Bug Zapper 2008-04-03 19:05:49 UTC
Based on the date this bug was created, it appears to have been reported
against rawhide during the development of a Fedora release that is no
longer maintained. In order to refocus our efforts as a project we are
flagging all of the open bugs for releases which are no longer
maintained. If this bug remains in NEEDINFO thirty (30) days from now,
we will automatically close it.

If you can reproduce this bug in a maintained Fedora version (7, 8, or
rawhide), please change this bug to the respective version and change
the status to ASSIGNED. (If you're unable to change the bug's version
or status, add a comment to the bug and someone will change it for you.)

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

Comment 7 Bug Zapper 2008-05-07 01:09:35 UTC
This bug has been in NEEDINFO for more than 30 days since feedback was
first requested. As a result we are closing it.

If you can reproduce this bug in the future against a maintained Fedora
version please feel free to reopen it against that version.

The process we're following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp


Note You need to log in before you can comment on or make changes to this bug.